Create NFT collection
curl --request POST \
--url https://overlay.fun/nfts \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"network": "solana",
"name": "Overlay Pass",
"description": "this is test nft",
"images": [
"https://overlay.fun/logo.png"
]
}
'const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network: 'solana',
name: 'Overlay Pass',
description: 'this is test nft',
images: ['https://overlay.fun/logo.png']
})
};
fetch('https://overlay.fun/nfts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"data": {
"mint_address": "example_nft_collection_address",
"metadata_uri": "https://example.com/metadata.json",
"tx": "example_transaction_signature",
"created_at": "2026-07-27T08:01:23.040Z"
},
"message": "NFT creation completed successfully"
}{
"success": false,
"message": "Invalid request body.",
"error": "Bad request"
}{
"success": false,
"message": "Invalid api-key",
"error": "Unauthorized"
}NFTs
Create NFT collection
Creates an NFT collection or NFT contract on the selected network.
POST
https://overlay.fun
/
nfts
Create NFT collection
curl --request POST \
--url https://overlay.fun/nfts \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"network": "solana",
"name": "Overlay Pass",
"description": "this is test nft",
"images": [
"https://overlay.fun/logo.png"
]
}
'const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network: 'solana',
name: 'Overlay Pass',
description: 'this is test nft',
images: ['https://overlay.fun/logo.png']
})
};
fetch('https://overlay.fun/nfts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"data": {
"mint_address": "example_nft_collection_address",
"metadata_uri": "https://example.com/metadata.json",
"tx": "example_transaction_signature",
"created_at": "2026-07-27T08:01:23.040Z"
},
"message": "NFT creation completed successfully"
}{
"success": false,
"message": "Invalid request body.",
"error": "Bad request"
}{
"success": false,
"message": "Invalid api-key",
"error": "Unauthorized"
}Authorizations
Body
application/json
Available options:
solana, evm, ethereum, sepolia, base, polygon, bsc, monad, sei, blast, sonic, linea, scroll, mantle, zora, optimism, arbitrum, avalanche, boba, metis, bera, celo Minimum array length:
1